Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27549
Description

These Processing shortcuts are now capitalised after being translated.

In most languages menus (and generally titles) are not supposed to be capitalised. | can speak for Slavic languages where it looks really
oddly, but | believe it's quite the same in most European languages, including German, French, Spain, ltalian etc. Looking through our
i18n, I've only found capitalized menus in Portuguese Portuguese (unlike Brasilian Portuguese) and somehow partially in Romanian.

So I'd perform the capitalization only if the system locale is on a white list (or rather the GUI language, as it can be overwritten by user).

I'm not sure if it should be a local change in python/plugins/processing/gui/menus.py, or just the QgsStringUtils::capitalize() should always
fallback TitleCase to MixedCase if the current language is not "capitalistic" ;)

Associated revisions

Revision d0813a88 - 2018-10-25 10:11 AM - Borys Jurgiel

Introduce QgsGui::HigFlags and don't capitalize menu entries and dialog titles in languages other than English. Fixes #19724

History

#1 - 2018-08-28 11:41 AM - Borys Jurgiel
- File Screenshot 20180828 _114117.png added

#2 - 2018-08-28 12:09 PM - Harrissou Santanna
- Subject changed from Algorithm shortcuts in Vector & Raster menus shouldn't by capitalized in most languages to Algorithm shortcuts in Vector &
Raster menus shouldn't be capitalized in most languages

Thanks for raising this, Borys.
| guess your issue also concerns Processing dialog titles being capitalized when run from these shortcuts or the toolbox (but not from the modeller btw).

#3 - 2018-10-22 07:39 PM - Harrissou Santanna
- Affected QGIS version changed from 3.2 to 3.3(master)

Hi, May | ask if there's any progress on this?

If using title case for dialogs seems to make dialogs look pretty in English, in French (in my case), it's really ugly and against HIG. Same for menu items.
Would be nice if this can be fixed before the release (I get complaints from users that do not understand why the GUI does not reflect their translations).
Thanks.
#4 - 2018-10-22 08:31 PM - Borys Jurgiel
- Description updated

#5 - 2018-10-22 08:32 PM - Borys Jurgiel

I'm just fixing it.

#6 - 2018-10-22 09:14 PM - Borys Jurgiel

- Pull Request or Patch supplied changed from No to Yes

#7 - 2018-10-22 09:15 PM - Borys Jurgiel

See https://github.com/qgis/QGIS/pull/8269

#8 - 2018-10-22 10:49 PM - Harrissou Santanna

Thank you very much, Borys.

#9 - 2018-10-25 10:10 AM - Borys Jurgiel
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|d0813a88229372069c64dc868c813f4e6848a1df.
